<#1>
<?php
/** @var ilDBInterface $ilDB */
?>
<#2>
<?php

if (!$ilDB->tableExists('psx_assignments')) {
    $fields = array(
        'id' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'assignment_exc_obj' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'assignment_id' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'activation' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'start' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 50),
        'share_result' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 50),
        'result_type' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 50),
    );

    $ilDB->createTable('psx_assignments', $fields);
    $ilDB->addPrimaryKey('psx_assignments', array('id'));
    $ilDB->createSequence('psx_assignments');
}

if (!$ilDB->tableExists('psx_submissions')) {
    $fields = array(
        'id' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'assignment_exc_obj' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'assignment_id' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'user_id' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'user_non_consent' => array('type' => 'integer', 'notnull' => true, 'default' => 0, 'length' => 4),
        'submission_ilias_id' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 255),
        'plagscan_id' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 255),
        'plagscan_status' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 255),
        'share_link' => array('type' => 'text', 'notnull' => true, 'default' => '', 'length' => 255),
    );

    $ilDB->createTable('psx_submissions', $fields);
    $ilDB->addPrimaryKey('psx_submissions', array('id'));
    $ilDB->createSequence('psx_submissions');
}
?>
